# Uses of Class
org.apache.lucene.sandbox.facet.utils.ComparableUtils.ByAggregatedValueComparable

Packages that use ComparableUtils.ByAggregatedValueComparable
Package
Description
org.apache.lucene.sandbox.facet.utils
Sandbox faceting: utility classes to make it easier to use the new API for standard use cases.

- ## Uses of ComparableUtils.ByAggregatedValueComparable in org.apache.lucene.sandbox.facet.utils

  Methods in org.apache.lucene.sandbox.facet.utils that return types with arguments of type ComparableUtils.ByAggregatedValueComparable
  Modifier and Type
  Method
  Description
  `static ComparableSupplier<ComparableUtils.ByAggregatedValueComparable>`
  ComparableUtils.`byAggregatedValue(CountFacetRecorder countRecorder, LongAggregationsFacetRecorder longAggregationsFacetRecorder, int aggregationId)`
  `ComparableSupplier` to sort ordinals by long aggregation (descending) with tie-break by count (descending) or by ordinal (ascending) using provided `CountFacetRecorder` and `LongAggregationsFacetRecorder`.
  Methods in org.apache.lucene.sandbox.facet.utils with parameters of type ComparableUtils.ByAggregatedValueComparable
  Modifier and Type
  Method
  Description
  `int`
  ComparableUtils.ByAggregatedValueComparable.`compareTo(ComparableUtils.ByAggregatedValueComparable o)`